## com.baidubce.services.moladb.model
Class ListInstancesRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.moladb.model.ListInstancesRequest

    public class ListInstancesRequest

extends AbstractBceRequest

Represents the input of a ListInstance operation.

Constructor Summary
`ListInstancesRequest()` Constructs a new ListInstancesRequest object.

Method Summary
`ListInstancesRequest` `withRequestCredentials(BceCredentials credentials)`

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListInstancesRequest

    public ListInstancesRequest()

  Constructs a new ListInstancesRequest object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

Method Detail

### withRequestCredentials

    public ListInstancesRequest withRequestCredentials(BceCredentials credentials)

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`

Copyright © 2016. All rights reserved.